# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLHRElement Class Reference

Create a horizontal rule. More...

`#include <html_block.h>`

Inheritance diagram for DOM::HTMLHRElement:

[legend]
Collaboration diagram for DOM::HTMLHRElement:

[legend]
List of all members.

## Public Member Functions

| HTMLHRElement (const HTMLHRElement &other)
| HTMLHRElement (const Node &other)
HTMLHRElement & | operator= (const HTMLHRElement &other)
HTMLHRElement & | operator= (const Node &other)
DOMString | align () const
void | setAlign (const DOMString &)
bool | noShade () const
void | setNoShade (bool)
DOMString | size () const
void | setSize (const DOMString &)
DOMString | width () const
void | setWidth (const DOMString &)

## Protected Member Functions

| HTMLHRElement (HTMLHRElementImpl *impl)

## Detailed Description

Create a horizontal rule.

See the HR element definition in HTML 4.0.

Definition at line 133 of file html_block.h.

## Member Function Documentation

DOMString HTMLHRElement::align | ( |  | ) | const

| Align the rule on the page. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 154 of file html_block.cpp.

void HTMLHRElement::setAlign | ( | const DOMString & |  | ) |

| see align Definition at line 160 of file html_block.cpp.

bool HTMLHRElement::noShade | ( |  | ) | const

| Indicates to the user agent that there should be no shading in the rendering of this element. See the noshade attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 165 of file html_block.cpp. References DOM::DOMString::isNull().

void HTMLHRElement::setNoShade | ( | bool |  | ) |

| see noShade Definition at line 171 of file html_block.cpp.

DOMString HTMLHRElement::size | ( |  | ) | const

| The height of the rule. See the size attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 182 of file html_block.cpp.

void HTMLHRElement::setSize | ( | const DOMString & |  | ) |

| see size Definition at line 188 of file html_block.cpp.

DOMString HTMLHRElement::width | ( |  | ) | const

| The width of the rule. See the width attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 193 of file html_block.cpp.

void HTMLHRElement::setWidth | ( | const DOMString & |  | ) |

| see width Definition at line 199 of file html_block.cpp.

The documentation for this class was generated from the following files:

- html_block.h
- html_block.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:59 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003